Subject: Re: [dhcwg] I-D Action: draft-ietf-dhc-secure-dhcpv6-05.txt

From: "Schumacher, David K (David)" <[email-masked]>
Date: Thu, 8 Mar 2012 15:16:46 -0600

I have one minor comment on the subject draft:

The proposed DUID-SA format in Section 5.3 of the draft violates the length restriction of DUID contents, as defined in RFC 3315, Section 9.1, which states that the DUID can be no more than 128 octets long (not included the type code).

Removing the 16-bit reserved field from the proposed format will bring the definition into compliance. 

Regards,

D. Schumacher

---

From: Sheng Jiang <[email-masked]>
Date: Fri, 09 Mar 2012 01:28:31 +0000

Hi, David,

Thanks for your comment. It is actual a mistake from us. I will address this with a new update by next Monday along with comments from Thomas.

Many thanks and best regards,

Sheng

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Schumacher, David K (David)
> Sent: Friday, March 09, 2012 5:17 AM
> To: [email-masked]
> Subject: Re: [dhcwg] I-D Action: draft-ietf-dhc-secure-dhcpv6-05.txt
> 
> The proposed DUID-SA format in Section 5.3 of the draft violates the
> length restriction of DUID contents, as defined in RFC 3315, Section
> 9.1, which states that the DUID can be no more than 128 octets long
> (not included the type code).
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg